Name: libcnotify
Version: 20240108
Release: 1
Summary: Library to support cross-platform C notification functions
Group: System Environment/Libraries
License: LGPL-3.0-or-later
Source: %{name}-%{version}.tar.gz
URL: https://github.com/libyal/libcnotify
 
BuildRequires: gcc 

%description -n libcnotify
Library to support cross-platform C notification functions

%package -n libcnotify-static
Summary: Library to support cross-platform C notification functions
Group: Development/Libraries
Requires: libcnotify = %{version}-%{release}

%description -n libcnotify-static
Static library version of libcnotify.

%package -n libcnotify-devel
Summary: Header files and libraries for developing applications for libcnotify
Group: Development/Libraries
Requires: libcnotify = %{version}-%{release}

%description -n libcnotify-devel
Header files and libraries for developing applications for libcnotify.

%prep
%setup -q

%build
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -n libcnotify
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.so.*

%files -n libcnotify-static
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.a

%files -n libcnotify-devel
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.so
%{_libdir}/pkgconfig/libcnotify.pc
%{_includedir}/*
%{_mandir}/man3/*

%changelog
* Mon Jan  8 2024 Joachim Metz <joachim.metz@gmail.com> 20240108-1
- Auto-generated

